2019-09-18 15:49 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004908Spring engineGeneralpublic2015-07-19 11:39
Reporterlamer 
Assigned TojK 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version100.0+git 
Target VersionFixed in Version 
Summary0004908: hang if sound detection fails
DescriptionIf sound detection fails spring hangs.
Steps To Reproduce1) Identify sound modules:
$ cat /proc/asound/modules
2) blacklist it/them
vi /etc/modprobe.d/nosound.conf -> blacklist snd_hda_intel
3) run spring (with Sound=1 in springsettings.cfg)
Additional Informationrelated link: http://zero-k.info/Forum/Thread/17638

If one of next lines executed
1) https://github.com/spring/spring/blob/9b7d6f13cf223c34a664d2af8932d46944132dd3/rts/System/Sound/OpenAL/Sound.cpp#L316
2) https://github.com/spring/spring/blob/9b7d6f13cf223c34a664d2af8932d46944132dd3/rts/System/Sound/OpenAL/Sound.cpp#L326
then canLoadDefs is always false and
https://github.com/spring/spring/blob/9b7d6f13cf223c34a664d2af8932d46944132dd3/rts/System/Sound/ISound.cpp#L60
stuck in infinite loop
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0015015

lamer (reporter)

fixed by https://github.com/spring/spring/commit/a8ba4cc48629243d220cf0aee5ac094761971dfd

Can be closed.
+Notes

-Issue History
Date Modified Username Field Change
2015-07-18 13:41 lamer New Issue
2015-07-19 11:27 lamer Note Added: 0015015
2015-07-19 11:39 abma Status new => resolved
2015-07-19 11:39 abma Resolution open => fixed
2015-07-19 11:39 abma Assigned To => jK
+Issue History